#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D CC_Texture00;

uniform vec3 CC_Tint;

void main()
{
    vec2 texCoord = vec2(v_texCoord.x + CC_Time.b, v_texCoord.y + CC_Time.b);
    vec4 pixel = texture2D(CC_Texture00, texCoord);
	pixel.a = pixel.a * v_fragmentColor.a;
    gl_FragColor = pixel;
}